﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.VisaStudentBean>
@{
    ViewBag.Title = "Visa Students";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddEdit.js", Url)
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)

    <style type="text/css">
        div.box div.overlay {
            display: none;
        }
    </style>
    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>

    <script type="text/javascript">
        $(document).ready(function () {

            $("#txtstatus").val($("#hdnstatus").val());
            $("#txtentertype").val($("#hdnentertype").val());
            $("#txtlastupdated").val($("#hdnlastupdated").val());


            $("#pagng").css('width', '80px');

            $("#txtRoll").css('width', '150px');

            $("#txtName").css('width', '150px');

            $("#txtlastupdated").css('width', '120px');




            $("#txtMobile").css('width', '100px');

            $("#txtentertype").css('width', '180px');

            $("#txtstatus").css('width', '120px');

            $("#txtpageno").css('width', '100px');

            // $(':text').css('width', '150px');

            $(":text").keypress(function (event) {

                //filter enter key only
                if (event.keyCode == 13) {
                    Search();
                }
                return true;
            });

            $("#btnSearch").click(function () {

                Search();
            });

        });


        function Search() {
            var roll = $("#txtRoll").val();
            var sname = $("#txtName").val();
            var mob = $("#txtMobile").val();
            var entertype = $("#txtentertype option:selected").val();
            var status = $("#txtstatus").val();
            var lastupdated = $("#txtlastupdated option:selected").val();
            window.location.href = "/Tb_VisaPayment/VisaStudents?roll=" + roll + "&sname=" + sname + "&mob=" + mob + "&entertype=" + entertype + "&status=" + status + "&lastupdated=" + lastupdated;
        }

    </script>
    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {

            $(".table").tablesorter({ widthFixed: true })
              .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>

}
@{
    SSCWebDBEntities1 db = new SSCWebDBEntities1();
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Visa Students List
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<table align="center" width="80%">
    <tr>
        <th align="left">
            REFERENCE NO
        </th>
        <th align="left">
            Name
        </th>
        <th align="left">
            Mobile No
        </th>
        <th>
            Enter Type
        </th>
        <th>
            Status
        </th>
        <th>
            Last Updated
        </th>
        <th>
        </th>
    </tr>
    <tr>
        <td>
            <input id="txtRoll" type="text" value="@ViewBag.roll" />
        </td>
        <td>
            <input id="txtName" type="text" value="@ViewBag.sname" />
        </td>
        <td>
            <input id="txtMobile" type="text" value="@ViewBag.mob" />
        </td>
        <td>
            <select id="txtentertype">
                <option value="">All</option>
                <option value="Enquiry">Enquiry</option>
                <option value="Enquiry IELTS">Enquiry IELTS</option>
                <option value="Prosp. Students IELTS">Prosp. Students IELTS</option>
                <option value="Prosp. Students Mock Test">Prosp. Students Mock Test</option>
            </select>
            <input id="hdnentertype" type="hidden" value="@ViewBag.entertype" />
            @*<input id="txtentertype" type="text" value="@ViewBag.entertype" />*@
        </td>
        <td>
            <select id="txtstatus">
                <option value="All">All</option>
                <option value="Open">Open</option>
                <option value="Close">Close</option>
                <option value="Registered">Registered</option>
            </select>
            <input id="hdnstatus" type="hidden" value="@ViewBag.status" />
        </td>

        <td>
            @Html.DropDownList("txtlastupdated", (SelectList)ViewBag.val, "Select")@*,(SelectList)ViewBag.val, "Select"*@
            <input id="hdnlastupdated" type="hidden" value="@ViewBag.lastupdated" />
            @*<input id="txtlastupdated" type="text" value="@ViewBag.lastupdated" />*@
        </td>

        <td valign="top">
            <input type="button" id="btnSearch" value="Search" class="btn btn-primary" />
        </td>
    </tr>
</table>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%"></td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            REFERENCE NO
                        </th>
                        <th>
                            Entry Type
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Mobile No
                        </th>
                        <th>
                            Next Followup Date
                        </th>
                        <th>
                            Status
                        </th>
                        <th>
                            Remarks
                        </th>

                        <th>
                            Last Followup Updated
                        </th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                    string bgcolor = "Open";
                    var lst = Model.ToList();
                    }
                    @foreach (var item in lst)
                    {

                        if (item != null)
                        {
                            if (item.status == CommonUtil.selected)
                            {
                                bgcolor = "Registered";
                            }
                            else
                            {
                                bgcolor = CommonUtil.BugStatusOpen;
                            }
                            i++;

                            <tr class="@bgcolor">
                                <td>
                                    @item.StudentId
                                </td>
                                <td>
                                    @item.EntryType
                                    <br />
                                </td>
                                <td>
                                    @item.SName
                                </td>
                                <td>
                                    @item.Mobile
                                </td>
                                <td>
                                    @{string follwupdate = string.Format("{0:dd MMM,yyyy}", item.followupdate);}
                                    @follwupdate
                                </td>
                                <td>
                                    @item.status
                                </td>
                                <td>
                                    @{
                                    string rem = item.remarks;

                                    if (rem != null)
                                    {
                                        if (rem.Length > 20)
                                        {
                                            string sustrg = rem.Substring(0, 20);
                                            @sustrg
                                            <br />
                                            <div class="box">
                                                <a id="remarks">Read-More...</a>
                                                <div class="overlay">
                                                    @rem
                                                </div>
                                            </div>
                                        }
                                        else
                                        {
                                            @rem
                                        }
                                    }
                                    }
                                </td>
                                <td>

                                    @item.lastupdated
                                </td>
                                <td>

                                    @{

                            if (item.type == "Admission")
                            {
                                int admisnid = db.MaAdmissions.Where(z => z.RollNo == item.StudentId).Select(z => z.Id).FirstOrDefault();
                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "Follow Up", "_VisaCreate", "MaEnqFollow", new { id = item.MockIELTSid, @visaid = item.Visaid, @vid = item.StudentId, @reftype = item.followtype, @name = item.SName }, new { @class = "editAcBtn" }, null)


                                        @Html.ImageActionLink("../../Content/themes/base/images/VisaDetail.png", "AddVisaDetail", "Create", "Tb_VisaPayment", new { id = item.StudentId, @referid = item.MockIELTSid, visaid = item.Visaid, @reftype = item.followtype, @enqtype = item.type, @targat = "_blank" }, null, null)

                            }
                            else
                            {
                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "Follow Up", "_VisaCreate", "MaEnqFollow", new { id = item.MockIELTSid, @visaid = item.Visaid, @vid = item.StudentId, @reftype = item.followtype, @name = item.SName }, new { @class = "editAcBtn" }, null)


                                        @Html.ImageActionLink("../../Content/themes/base/images/VisaDetail.png", "AddVisaDetail", "Create", "Tb_VisaPayment", new { id = item.StudentId, @referid = item.MockIELTSid, @visaid = item.Visaid, @reftype = item.followtype, @enqtype = item.type, @targat = "_blank" }, null, null)


                            }
                                    }

                                </td>
                            </tr>
                        }
                    }

                </tbody>
            </table>
        </div>
    </div>
</div>
<table width="100%" align="center">
    <tr>
        <td align="left" width="50%">
            @Html.Partial("_Pager")
        </td>
    </tr>
</table>
<div id="editDialog" title="Add Visa Follow Up" style="width: 556px">
</div>
